## GnomeDbDsnAssistant

GnomeDbDsnAssistant — an assistant to create a new datasource

##

# Synopsis

    struct      GnomeDbDsnAssistant;
    struct      GnomeDbDsnAssistantClass;
    struct      GnomeDbDsnAssistantPrivate;
    GtkWidget*  gnome_db_dsn_assistant_new      (void);
    const GdaDsnInfo* gnome_db_dsn_assistant_get_dsn
                                                (GnomeDbDsnAssistant *assistant);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkAssistant
                                                 +----GnomeDbDsnAssistant

## Implemented Interfaces

GnomeDbDsnAssistant implements AtkImplementorIface and GtkBuildable.

## Signal Prototypes

    "finished"  void        user_function      (GnomeDbDsnAssistant *dbdsnassistant,
                                                gboolean arg1,
                                                gpointer user_data);

## Description

The GnomeDbDsnAssistant widget provides an easy way for users to declare new data sources. If the selected provider for the data source supports it, then a new database can be created if the user needs it.

## Details

### struct GnomeDbDsnAssistant

    struct GnomeDbDsnAssistant;

### struct GnomeDbDsnAssistantClass

    struct GnomeDbDsnAssistantClass {

    	GtkAssistantClass           parent_class;

    	void                     (* finished) (GnomeDbDsnAssistant *assistant, gboolean error);
    };

### struct GnomeDbDsnAssistantPrivate

    struct GnomeDbDsnAssistantPrivate;

### gnome_db_dsn_assistant_new ()

    GtkWidget*  gnome_db_dsn_assistant_new      (void);

Returns : |

### gnome_db_dsn_assistant_get_dsn ()

    const GdaDsnInfo* gnome_db_dsn_assistant_get_dsn
                                                (GnomeDbDsnAssistant *assistant);

`assistant` : |
Returns : |

## Signals

### The "finished" signal

    void        user_function                  (GnomeDbDsnAssistant *dbdsnassistant,
                                                gboolean arg1,
                                                gpointer user_data);

`dbdsnassistant` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

## See Also

The GnomeDbDsnEditor to edit a complete DSN definition.